

#include <sys/platform.h>
#include "adi_initialize.h"
#include "servo.h"
//#include "NCN_GPIO.h"
//#include <rtos_map/adi_rtos_map.h>
#include <drivers/tmr/adi_tmr.h>
#include <drivers/gpio/adi_gpio.h>
//#include <system_ADuCM3029.h>
#include <stdio.h>
#include <stdint.h>
//#include <common.h>
#include <adi_processor.h>
#include <drivers/pwr/adi_pwr.h>

ADI_TMR_CONFIG        tmrConfig;   /*define the variable for configuring the timer*/
uint8_t GPIO_DEV_Mem [ADI_GPIO_MEMORY_SIZE];    /*Allocating memory to GPIO pins*/
uint32_t count=0x00;
unsigned char Duty;

/*Interrupt Handler which is called as soon as a interrupt is generated. */
void Handler(void *pCBParam, uint32_t Event, void  * pArg){

    if (count<100)
	{
		if(count==0){
			if(Duty!=0)
			{
				adi_gpio_SetHigh (ADI_GPIO_PORT0,ADI_GPIO_PIN_1);
			}
		}
		if(Duty==count)
		{
			adi_gpio_SetLow (ADI_GPIO_PORT0,ADI_GPIO_PIN_1);
		}
		count++;
	}
	else
	{
		count=0;

	}


}


void PinInitial() {
	adi_gpio_Init(GPIO_DEV_Mem, ADI_GPIO_MEMORY_SIZE);
	adi_gpio_OutputEnable (ADI_GPIO_PORT0,ADI_GPIO_PIN_1, true);

}


void DRIVER_Timera1_init(void) {

    adi_tmr_Init(ADI_TMR_DEVICE_GP2, Handler, NULL , true);   /* Initializing the timer*/

    /* Now the timer has to be configured using the variable which we have already created.*/
       tmrConfig.bCountingUp  = false;                       /* Counter will count down from the LOAD value*/
       tmrConfig.bPeriodic    = true;                        /* Periodic timer*/
       tmrConfig.ePrescaler   = ADI_TMR_PRESCALER_64;        /* Prescalarof 64 is used */
       tmrConfig.eClockSource = ADI_TMR_CLOCK_HFOSC;         /* HF Oscillator is used for Clock generation*/
       tmrConfig.nLoad        = 0x0A00;                  /* LOAD Value=0x00000010*/
       tmrConfig.nAsyncLoad   = 0x0000;                  /* Asynchronous LOAD Value=0x00000010*/
       tmrConfig.bReloading   = false;                       /* adi_tmr_Reload can not be called to reload the timer*/
       tmrConfig.bSyncBypass  = false;                       /* Only relevant if PCLK is used*/

    adi_tmr_ConfigTimer(ADI_TMR_DEVICE_GP2, &tmrConfig) ;     /* Timer is configured using all the defined terms*/

    adi_tmr_Enable(ADI_TMR_DEVICE_GP2, true);                /* Timer is Enabled*/

	/* To run the timer continuously a while loop is used*/


}


void setfreq(unsigned char freq) {
	Duty = freq;
}


